package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Log Notification List
 */
@ApiModel(description = "Log Notification List")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:45:56.254+08:00[Asia/Shanghai]")

public class LogNotificationEditOpenApiVo   {
  @JsonProperty("key")
  private String key;

  @JsonProperty("alert")
  private Boolean alert;

  @JsonProperty("event")
  private Boolean event;

  @JsonProperty("email")
  private Boolean email;

  @JsonProperty("webhook")
  private Boolean webhook;

  public LogNotificationEditOpenApiVo key(String key) {
    this.key = key;
    return this;
  }

  /**
   * For the values of Log Notification Key, refer to section 5.6.1 of the Open API Access
   * @return key
  */
  @ApiModelProperty(required = true, value = "For the values of Log Notification Key, refer to section 5.6.1 of the Open API Access")
  @NotNull


  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public LogNotificationEditOpenApiVo alert(Boolean alert) {
    this.alert = alert;
    return this;
  }

  /**
   * Log Notification Enable or Disable Alert
   * @return alert
  */
  @ApiModelProperty(required = true, value = "Log Notification Enable or Disable Alert")
  @NotNull


  public Boolean getAlert() {
    return alert;
  }

  public void setAlert(Boolean alert) {
    this.alert = alert;
  }

  public LogNotificationEditOpenApiVo event(Boolean event) {
    this.event = event;
    return this;
  }

  /**
   * Log Notification Enable or Disable Event
   * @return event
  */
  @ApiModelProperty(required = true, value = "Log Notification Enable or Disable Event")
  @NotNull


  public Boolean getEvent() {
    return event;
  }

  public void setEvent(Boolean event) {
    this.event = event;
  }

  public LogNotificationEditOpenApiVo email(Boolean email) {
    this.email = email;
    return this;
  }

  /**
   * Log Notification Enable or Disable Email
   * @return email
  */
  @ApiModelProperty(required = true, value = "Log Notification Enable or Disable Email")
  @NotNull


  public Boolean getEmail() {
    return email;
  }

  public void setEmail(Boolean email) {
    this.email = email;
  }

  public LogNotificationEditOpenApiVo webhook(Boolean webhook) {
    this.webhook = webhook;
    return this;
  }

  /**
   * Log Notification Category Enable or Disable Webhook (This config applies to the Omada Pro Controller only and should not bu null)
   * @return webhook
  */
  @ApiModelProperty(value = "Log Notification Category Enable or Disable Webhook (This config applies to the Omada Pro Controller only and should not bu null)")


  public Boolean getWebhook() {
    return webhook;
  }

  public void setWebhook(Boolean webhook) {
    this.webhook = webhook;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LogNotificationEditOpenApiVo logNotificationEditOpenApiVo = (LogNotificationEditOpenApiVo) o;
    return Objects.equals(this.key, logNotificationEditOpenApiVo.key) &&
        Objects.equals(this.alert, logNotificationEditOpenApiVo.alert) &&
        Objects.equals(this.event, logNotificationEditOpenApiVo.event) &&
        Objects.equals(this.email, logNotificationEditOpenApiVo.email) &&
        Objects.equals(this.webhook, logNotificationEditOpenApiVo.webhook);
  }

  @Override
  public int hashCode() {
    return Objects.hash(key, alert, event, email, webhook);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LogNotificationEditOpenApiVo {\n");
    
    sb.append("    key: ").append(toIndentedString(key)).append("\n");
    sb.append("    alert: ").append(toIndentedString(alert)).append("\n");
    sb.append("    event: ").append(toIndentedString(event)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    webhook: ").append(toIndentedString(webhook)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

